### Index

- RawTableRow (src/.../table-row-metadata.ts)
- RowActionCheckFunction (src/.../types.ts)
- RowIdMapperFunction (src/.../table-row-metadata.ts)
- TableRemoteMethodAdapterFactory (src/.../table-data-source.directive.ts)
- TableRowActionMethod (src/.../types.ts)
- TableRowActionTypeMethod (src/.../types.ts)
- TableRowActionTypeSwitchMethod (src/.../types.ts)

### src/lib/table-row-metadata.ts

RawTableRow
````

RowIdMapperFunction
``function``

### src/lib/table-row-actions/types.ts

RowActionCheckFunction
``function``

TableRowActionMethod
``TableRowActionTypeSwitchMethod<Data> | TableRowActionTypeMethod<Data>``

TableRowActionTypeMethod
``Method<any | Data>``

TableRowActionTypeSwitchMethod
``Method<any | literal type>``

### src/lib/table-data-source.directive.ts

TableRemoteMethodAdapterFactory
``function``

# results matching ""

# No results matching ""